/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class FloorPlanRequest {
    public id: string;

    public name: string;

    public image: string;

    public timeStamp: number;

    public height: number;

    public width: number;

    public fields: string;

    public version: number;

    /**
     * Creates a FloorPlanRequest.
     *
     * @param {string} id
     * @param {string} name
     * @param {string} image
     * @param {number} timeStamp
     * @param {number} height
     * @param {number} width
     * @param {string} fields
     * @param {number} version
     */
    constructor(id: string, name: string, image: string, timeStamp: number, height: number, width: number, fields: string, version: number) {
        this.id = id;
        this.name = name;
        this.image = image;
        this.timeStamp = timeStamp;
        this.height = height;
        this.width = width;
        this.fields = fields;
        this.version = version;
    }
}
